/* CSS MINI RESET */
html {
  box-sizing: border-box;
  font-size: 16px;
}

*, *:before, *:after {
  box-sizing: inherit;
}

body, h1, h2, h3, h4, h5, h6, p, ol, ul {
  margin: 0;
  padding: 0;
  font-weight: normal;
}

ol, ul {
  list-style: none;
}

img {
  max-width: 100%;
  height: auto;
}


/* BLUEBRIGHT STYLES */
@font-face {
    font-family: 'Montserrat';
    src: url('Montserrat-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Montserrat';
    src: url('Montserrat-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Montserrat';
    src: url('Montserrat-SemiBold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

* {
    font-family: 'Montserrat', 'Arial', sans-serif;
}

html {
    margin: 0;
    padding: 0; 
}

section.wrapper {
    background-image: url(background-mountains.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    width: 100vw;
    min-height: 100dvh;
    position: relative;
    z-index: 0;
}

section.wrapper:before {
    content: '';
    position: absolute;
    display: block;
    width: 40%;
    min-height: 100dvh;
    background: transparent linear-gradient(90deg, #0A46936A 0%, #05234A00 100%) 0% 0% no-repeat padding-box;
    mix-blend-mode: multiply;
    opacity: 1;
    z-index: -1;
}

div.content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 5vw;
    gap: 40px;
}

main.contact {
    background-color: rgba(255, 255, 255, 0.3);
    backdrop-filter: blur(10px);
    padding: 40px;
    margin-bottom: 50px;
    box-shadow: 3px 3px 50px #0b46931f;
}

main.contact p {
    color: #0A4693;
    font-family: 'Montserrat', 'Arial', sans-serif;
    font-size: 32px;
    position: relative;
    font-weight: 500;
}

main .logo img {
    max-width: 690px;
}

main .mail {
    position: absolute;
    bottom: 0;
    right: 30px;
    padding: 12px 20px 9px;
    font-size: 16px;
}

main.contact address {
    color: white;
    font-style: normal;
    font-size: 24px;
    font-family: 'Montserrat', 'Arial', sans-serif;
    margin-top: 30px;
    font-weight: 400;
    line-height: 1.3;
    letter-spacing: 1.03px;
}

footer {
    background-color: rgba(10, 70, 147, 0.3);
    text-align: right;
    padding: 12px 30px;
    backdrop-filter: blur(10px);
    position: fixed;
    bottom: 0;
    width: 100vw;
}

h1 {
    color: white;
    font-weight: 600;
    font-family: 'Montserrat', 'Arial', sans-serif;
    font-size: 48px;
    line-height: 1.1em;
    margin-bottom: 10px;
    margin-right: 20px;
}

footer p {
    color: white;
    font-family: 'Montserrat', 'Arial', sans-serif;
    font-size: 12px;
}

div.mail {
    background-color: #00BEFF;
}

div.mail span {
    font-family: 'Montserrat', 'Arial', sans-serif;
    font-size: 16px;
    color: white;
}

@media only screen and (max-width: 1200px) {
    div.content {
        flex-wrap: wrap-reverse;
        justify-content: center;
    }

    div.content > * {
        max-width: 600px;
    }

    div.logo {
        margin-top: 4vw;
    }

    div.logo img {
        padding-left: 5px;
        padding-right: 5px;
    }

    h1 {
        margin-right: unset;
    }
}

@media only screen and (max-width: 800px) {
    h1 {
        font-size: 35px;
    }

    main.contact p {
        font-size: 25px;
    }

    div.content > * {
        max-width: 600px;
        width: 100%;
    }

    main.contact address {
        margin-bottom: 30px;
    }

    section.wrapper:before {
        width: 100%;
        opacity: 0.5;
    }
}

@media only screen and (max-width: 500px) {
    main .mail {
        position: absolute;
        bottom: 0;
        right: unset;
        left: 30px;
        padding: 12px 20px 9px;
        font-size: 16px;
    }

    main.contact {
        padding: 30px;
    }

    h1 {
        font-size: 27px;
    }

    main.contact p {
        font-size: 23px;
    }

    main.contact address {
        font-size: 23px;
    }
}

@media only screen and (max-width: 400px) {
    h1 {
        font-size: 21px;
    }

    main.contact p {
        font-size: 18px;
    }

    main.contact address {
        font-size: 18px;
    }

    div.content {
        gap: 20px;
    }

    div.logo {
        margin-top: 12vw;
    }
}

@media only screen and (max-width: 300px) {
    main.contact {
        padding: 15px 15px 0px;
        min-height: 280px;

    }

    main .mail {
        margin-top: 30px;
        position: relative;
        left: unset;
        right: unset;
        width: fit-content;
    }

    main.contact a {
        text-decoration: none;
    }
}